Home | History | Annotate | Line # | Download | only in tests
      1 # Makefile.in generated by automake 1.15 from Makefile.am.
      2 # @configure_input@
      3 
      4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
      5 
      6 # This Makefile.in is free software; the Free Software Foundation
      7 # gives unlimited permission to copy and/or distribute it,
      8 # with or without modifications, as long as this notice is preserved.
      9 
     10 # This program is distributed in the hope that it will be useful,
     11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13 # PARTICULAR PURPOSE.
     14 
     15 @SET_MAKE@
     16 
     17 # Copyright 2000-2004, 2013 Free Software Foundation, Inc.
     18 #
     19 # This file is part of the GNU MP Library test suite.
     20 #
     21 # The GNU MP Library test suite is free software; you can redistribute it
     22 # and/or modify it under the terms of the GNU General Public License as
     23 # published by the Free Software Foundation; either version 3 of the License,
     24 # or (at your option) any later version.
     25 #
     26 # The GNU MP Library test suite is distributed in the hope that it will be
     27 # useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
     28 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
     29 # Public License for more details.
     30 #
     31 # You should have received a copy of the GNU General Public License along with
     32 # the GNU MP Library test suite.  If not, see https://www.gnu.org/licenses/.
     33 
     34 # Copyright 1996, 1998-2002 Free Software Foundation, Inc.
     35 #
     36 #  This file is part of the GNU MP Library.
     37 #
     38 #  The GNU MP Library is free software; you can redistribute it and/or modify
     39 #  it under the terms of either:
     40 #
     41 #    * the GNU Lesser General Public License as published by the Free
     42 #      Software Foundation; either version 3 of the License, or (at your
     43 #      option) any later version.
     44 #
     45 #  or
     46 #
     47 #    * the GNU General Public License as published by the Free Software
     48 #      Foundation; either version 2 of the License, or (at your option) any
     49 #      later version.
     50 #
     51 #  or both in parallel, as here.
     52 #
     53 #  The GNU MP Library is distributed in the hope that it will be useful, but
     54 #  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
     55 #  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
     56 #  for more details.
     57 #
     58 #  You should have received copies of the GNU General Public License and the
     59 #  GNU Lesser General Public License along with the GNU MP Library.  If not,
     60 #  see https://www.gnu.org/licenses/.
     61 VPATH = @srcdir@
     62 am__is_gnu_make = { \
     63   if test -z '$(MAKELEVEL)'; then \
     64     false; \
     65   elif test -n '$(MAKE_HOST)'; then \
     66     true; \
     67   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
     68     true; \
     69   else \
     70     false; \
     71   fi; \
     72 }
     73 am__make_running_with_option = \
     74   case $${target_option-} in \
     75       ?) ;; \
     76       *) echo "am__make_running_with_option: internal error: invalid" \
     77               "target option '$${target_option-}' specified" >&2; \
     78          exit 1;; \
     79   esac; \
     80   has_opt=no; \
     81   sane_makeflags=$$MAKEFLAGS; \
     82   if $(am__is_gnu_make); then \
     83     sane_makeflags=$$MFLAGS; \
     84   else \
     85     case $$MAKEFLAGS in \
     86       *\\[\ \	]*) \
     87         bs=\\; \
     88         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
     89           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
     90     esac; \
     91   fi; \
     92   skip_next=no; \
     93   strip_trailopt () \
     94   { \
     95     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
     96   }; \
     97   for flg in $$sane_makeflags; do \
     98     test $$skip_next = yes && { skip_next=no; continue; }; \
     99     case $$flg in \
    100       *=*|--*) continue;; \
    101         -*I) strip_trailopt 'I'; skip_next=yes;; \
    102       -*I?*) strip_trailopt 'I';; \
    103         -*O) strip_trailopt 'O'; skip_next=yes;; \
    104       -*O?*) strip_trailopt 'O';; \
    105         -*l) strip_trailopt 'l'; skip_next=yes;; \
    106       -*l?*) strip_trailopt 'l';; \
    107       -[dEDm]) skip_next=yes;; \
    108       -[JT]) skip_next=yes;; \
    109     esac; \
    110     case $$flg in \
    111       *$$target_option*) has_opt=yes; break;; \
    112     esac; \
    113   done; \
    114   test $$has_opt = yes
    115 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
    116 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
    117 pkgdatadir = $(datadir)/@PACKAGE@
    118 pkgincludedir = $(includedir)/@PACKAGE@
    119 pkglibdir = $(libdir)/@PACKAGE@
    120 pkglibexecdir = $(libexecdir)/@PACKAGE@
    121 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
    122 install_sh_DATA = $(install_sh) -c -m 644
    123 install_sh_PROGRAM = $(install_sh) -c
    124 install_sh_SCRIPT = $(install_sh) -c
    125 INSTALL_HEADER = $(INSTALL_DATA)
    126 transform = $(program_transform_name)
    127 NORMAL_INSTALL = :
    128 PRE_INSTALL = :
    129 POST_INSTALL = :
    130 NORMAL_UNINSTALL = :
    131 PRE_UNINSTALL = :
    132 POST_UNINSTALL = :
    133 build_triplet = @build@
    134 host_triplet = @host@
    135 check_PROGRAMS = t-bswap$(EXEEXT) t-constants$(EXEEXT) \
    136 	t-count_zeros$(EXEEXT) t-hightomask$(EXEEXT) \
    137 	t-modlinv$(EXEEXT) t-popc$(EXEEXT) t-parity$(EXEEXT) \
    138 	t-sub$(EXEEXT)
    139 subdir = tests
    140 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
    141 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
    142 	$(top_srcdir)/configure.ac
    143 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
    144 	$(ACLOCAL_M4)
    145 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
    146 mkinstalldirs = $(install_sh) -d
    147 CONFIG_HEADER = $(top_builddir)/config.h
    148 CONFIG_CLEAN_FILES =
    149 CONFIG_CLEAN_VPATH_FILES =
    150 am__DEPENDENCIES_1 =
    151 am_libtests_la_OBJECTS = memory.lo misc.lo refmpf.lo refmpn.lo \
    152 	refmpq.lo refmpz.lo spinner.lo trace.lo
    153 libtests_la_OBJECTS = $(am_libtests_la_OBJECTS)
    154 AM_V_lt = $(am__v_lt_@AM_V@)
    155 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
    156 am__v_lt_0 = --silent
    157 am__v_lt_1 = 
    158 t_bswap_SOURCES = t-bswap.c
    159 t_bswap_OBJECTS = t-bswap.$(OBJEXT)
    160 t_bswap_LDADD = $(LDADD)
    161 t_bswap_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
    162 t_constants_SOURCES = t-constants.c
    163 t_constants_OBJECTS = t-constants.$(OBJEXT)
    164 t_constants_LDADD = $(LDADD)
    165 t_constants_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
    166 t_count_zeros_SOURCES = t-count_zeros.c
    167 t_count_zeros_OBJECTS = t-count_zeros.$(OBJEXT)
    168 t_count_zeros_LDADD = $(LDADD)
    169 t_count_zeros_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
    170 t_hightomask_SOURCES = t-hightomask.c
    171 t_hightomask_OBJECTS = t-hightomask.$(OBJEXT)
    172 t_hightomask_LDADD = $(LDADD)
    173 t_hightomask_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
    174 t_modlinv_SOURCES = t-modlinv.c
    175 t_modlinv_OBJECTS = t-modlinv.$(OBJEXT)
    176 t_modlinv_LDADD = $(LDADD)
    177 t_modlinv_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
    178 t_parity_SOURCES = t-parity.c
    179 t_parity_OBJECTS = t-parity.$(OBJEXT)
    180 t_parity_LDADD = $(LDADD)
    181 t_parity_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
    182 t_popc_SOURCES = t-popc.c
    183 t_popc_OBJECTS = t-popc.$(OBJEXT)
    184 t_popc_LDADD = $(LDADD)
    185 t_popc_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
    186 t_sub_SOURCES = t-sub.c
    187 t_sub_OBJECTS = t-sub.$(OBJEXT)
    188 t_sub_LDADD = $(LDADD)
    189 t_sub_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
    190 AM_V_P = $(am__v_P_@AM_V@)
    191 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
    192 am__v_P_0 = false
    193 am__v_P_1 = :
    194 AM_V_GEN = $(am__v_GEN_@AM_V@)
    195 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
    196 am__v_GEN_0 = @echo "  GEN     " $@;
    197 am__v_GEN_1 = 
    198 AM_V_at = $(am__v_at_@AM_V@)
    199 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
    200 am__v_at_0 = @
    201 am__v_at_1 = 
    202 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
    203 depcomp =
    204 am__depfiles_maybe =
    205 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    206 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
    207 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    208 	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
    209 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
    210 	$(AM_CFLAGS) $(CFLAGS)
    211 AM_V_CC = $(am__v_CC_@AM_V@)
    212 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
    213 am__v_CC_0 = @echo "  CC      " $@;
    214 am__v_CC_1 = 
    215 CCLD = $(CC)
    216 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    217 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
    218 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
    219 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
    220 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
    221 am__v_CCLD_0 = @echo "  CCLD    " $@;
    222 am__v_CCLD_1 = 
    223 SOURCES = $(libtests_la_SOURCES) $(EXTRA_libtests_la_SOURCES) \
    224 	t-bswap.c t-constants.c t-count_zeros.c t-hightomask.c \
    225 	t-modlinv.c t-parity.c t-popc.c t-sub.c
    226 DIST_SOURCES = $(libtests_la_SOURCES) $(EXTRA_libtests_la_SOURCES) \
    227 	t-bswap.c t-constants.c t-count_zeros.c t-hightomask.c \
    228 	t-modlinv.c t-parity.c t-popc.c t-sub.c
    229 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
    230 	ctags-recursive dvi-recursive html-recursive info-recursive \
    231 	install-data-recursive install-dvi-recursive \
    232 	install-exec-recursive install-html-recursive \
    233 	install-info-recursive install-pdf-recursive \
    234 	install-ps-recursive install-recursive installcheck-recursive \
    235 	installdirs-recursive pdf-recursive ps-recursive \
    236 	tags-recursive uninstall-recursive
    237 am__can_run_installinfo = \
    238   case $$AM_UPDATE_INFO_DIR in \
    239     n|no|NO) false;; \
    240     *) (install-info --version) >/dev/null 2>&1;; \
    241   esac
    242 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
    243   distclean-recursive maintainer-clean-recursive
    244 am__recursive_targets = \
    245   $(RECURSIVE_TARGETS) \
    246   $(RECURSIVE_CLEAN_TARGETS) \
    247   $(am__extra_recursive_targets)
    248 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
    249 	check recheck distdir
    250 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
    251 # Read a list of newline-separated strings from the standard input,
    252 # and print each of them once, without duplicates.  Input order is
    253 # *not* preserved.
    254 am__uniquify_input = $(AWK) '\
    255   BEGIN { nonempty = 0; } \
    256   { items[$$0] = 1; nonempty = 1; } \
    257   END { if (nonempty) { for (i in items) print i; }; } \
    258 '
    259 # Make sure the list of sources is unique.  This is necessary because,
    260 # e.g., the same source file might be shared among _SOURCES variables
    261 # for different programs/libraries.
    262 am__define_uniq_tagged_files = \
    263   list='$(am__tagged_files)'; \
    264   unique=`for i in $$list; do \
    265     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    266   done | $(am__uniquify_input)`
    267 ETAGS = etags
    268 CTAGS = ctags
    269 am__tty_colors_dummy = \
    270   mgn= red= grn= lgn= blu= brg= std=; \
    271   am__color_tests=no
    272 am__tty_colors = { \
    273   $(am__tty_colors_dummy); \
    274   if test "X$(AM_COLOR_TESTS)" = Xno; then \
    275     am__color_tests=no; \
    276   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    277     am__color_tests=yes; \
    278   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    279     am__color_tests=yes; \
    280   fi; \
    281   if test $$am__color_tests = yes; then \
    282     red='[0;31m'; \
    283     grn='[0;32m'; \
    284     lgn='[1;32m'; \
    285     blu='[1;34m'; \
    286     mgn='[0;35m'; \
    287     brg='[1m'; \
    288     std='[m'; \
    289   fi; \
    290 }
    291 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    292 am__vpath_adj = case $$p in \
    293     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    294     *) f=$$p;; \
    295   esac;
    296 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
    297 am__install_max = 40
    298 am__nobase_strip_setup = \
    299   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
    300 am__nobase_strip = \
    301   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
    302 am__nobase_list = $(am__nobase_strip_setup); \
    303   for p in $$list; do echo "$$p $$p"; done | \
    304   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
    305   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    306     if (++n[$$2] == $(am__install_max)) \
    307       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    308     END { for (dir in files) print dir, files[dir] }'
    309 am__base_list = \
    310   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
    311   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
    312 am__uninstall_files_from_dir = { \
    313   test -z "$$files" \
    314     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    315     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
    316          $(am__cd) "$$dir" && rm -f $$files; }; \
    317   }
    318 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
    319 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
    320 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
    321 # A command that, given a newline-separated list of test names on the
    322 # standard input, print the name of the tests that are to be re-run
    323 # upon "make recheck".
    324 am__list_recheck_tests = $(AWK) '{ \
    325   recheck = 1; \
    326   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    327     { \
    328       if (rc < 0) \
    329         { \
    330           if ((getline line2 < ($$0 ".log")) < 0) \
    331 	    recheck = 0; \
    332           break; \
    333         } \
    334       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
    335         { \
    336           recheck = 0; \
    337           break; \
    338         } \
    339       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
    340         { \
    341           break; \
    342         } \
    343     }; \
    344   if (recheck) \
    345     print $$0; \
    346   close ($$0 ".trs"); \
    347   close ($$0 ".log"); \
    348 }'
    349 # A command that, given a newline-separated list of test names on the
    350 # standard input, create the global log from their .trs and .log files.
    351 am__create_global_log = $(AWK) ' \
    352 function fatal(msg) \
    353 { \
    354   print "fatal: making $@: " msg | "cat >&2"; \
    355   exit 1; \
    356 } \
    357 function rst_section(header) \
    358 { \
    359   print header; \
    360   len = length(header); \
    361   for (i = 1; i <= len; i = i + 1) \
    362     printf "="; \
    363   printf "\n\n"; \
    364 } \
    365 { \
    366   copy_in_global_log = 1; \
    367   global_test_result = "RUN"; \
    368   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    369     { \
    370       if (rc < 0) \
    371          fatal("failed to read from " $$0 ".trs"); \
    372       if (line ~ /$(am__global_test_result_rx)/) \
    373         { \
    374           sub("$(am__global_test_result_rx)", "", line); \
    375           sub("[ 	]*$$", "", line); \
    376           global_test_result = line; \
    377         } \
    378       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
    379         copy_in_global_log = 0; \
    380     }; \
    381   if (copy_in_global_log) \
    382     { \
    383       rst_section(global_test_result ": " $$0); \
    384       while ((rc = (getline line < ($$0 ".log"))) != 0) \
    385       { \
    386         if (rc < 0) \
    387           fatal("failed to read from " $$0 ".log"); \
    388         print line; \
    389       }; \
    390       printf "\n"; \
    391     }; \
    392   close ($$0 ".trs"); \
    393   close ($$0 ".log"); \
    394 }'
    395 # Restructured Text title.
    396 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
    397 # Solaris 10 'make', and several other traditional 'make' implementations,
    398 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
    399 # by disabling -e (using the XSI extension "set +e") if it's set.
    400 am__sh_e_setup = case $$- in *e*) set +e;; esac
    401 # Default flags passed to test drivers.
    402 am__common_driver_flags = \
    403   --color-tests "$$am__color_tests" \
    404   --enable-hard-errors "$$am__enable_hard_errors" \
    405   --expect-failure "$$am__expect_failure"
    406 # To be inserted before the command running the test.  Creates the
    407 # directory for the log if needed.  Stores in $dir the directory
    408 # containing $f, in $tst the test, in $log the log.  Executes the
    409 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
    410 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
    411 # will run the test scripts (or their associated LOG_COMPILER, if
    412 # thy have one).
    413 am__check_pre = \
    414 $(am__sh_e_setup);					\
    415 $(am__vpath_adj_setup) $(am__vpath_adj)			\
    416 $(am__tty_colors);					\
    417 srcdir=$(srcdir); export srcdir;			\
    418 case "$@" in						\
    419   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    420     *) am__odir=.;; 					\
    421 esac;							\
    422 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
    423   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
    424 if test -f "./$$f"; then dir=./;			\
    425 elif test -f "$$f"; then dir=;				\
    426 else dir="$(srcdir)/"; fi;				\
    427 tst=$$dir$$f; log='$@'; 				\
    428 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
    429   am__enable_hard_errors=no; 				\
    430 else							\
    431   am__enable_hard_errors=yes; 				\
    432 fi; 							\
    433 case " $(XFAIL_TESTS) " in				\
    434   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    435     am__expect_failure=yes;;				\
    436   *)							\
    437     am__expect_failure=no;;				\
    438 esac; 							\
    439 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
    440 # A shell command to get the names of the tests scripts with any registered
    441 # extension removed (i.e., equivalently, the names of the test logs, with
    442 # the '.log' extension removed).  The result is saved in the shell variable
    443 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
    444 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
    445 # since that might cause problem with VPATH rewrites for suffix-less tests.
    446 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
    447 am__set_TESTS_bases = \
    448   bases='$(TEST_LOGS)'; \
    449   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
    450   bases=`echo $$bases`
    451 RECHECK_LOGS = $(TEST_LOGS)
    452 TEST_SUITE_LOG = test-suite.log
    453 TEST_EXTENSIONS = @EXEEXT@ .test
    454 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
    455 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
    456 am__set_b = \
    457   case '$@' in \
    458     */*) \
    459       case '$*' in \
    460         */*) b='$*';; \
    461           *) b=`echo '$@' | sed 's/\.log$$//'`; \
    462        esac;; \
    463     *) \
    464       b='$*';; \
    465   esac
    466 am__test_logs1 = $(TESTS:=.log)
    467 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
    468 TEST_LOGS = $(am__test_logs2:.test.log=.log)
    469 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
    470 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
    471 	$(TEST_LOG_FLAGS)
    472 DIST_SUBDIRS = $(SUBDIRS)
    473 am__DIST_COMMON = $(srcdir)/../mpn/Makeasm.am $(srcdir)/Makefile.in \
    474 	$(top_srcdir)/test-driver
    475 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    476 am__relativize = \
    477   dir0=`pwd`; \
    478   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
    479   sed_rest='s,^[^/]*/*,,'; \
    480   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
    481   sed_butlast='s,/*[^/]*$$,,'; \
    482   while test -n "$$dir1"; do \
    483     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    484     if test "$$first" != "."; then \
    485       if test "$$first" = ".."; then \
    486         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
    487         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
    488       else \
    489         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
    490         if test "$$first2" = "$$first"; then \
    491           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
    492         else \
    493           dir2="../$$dir2"; \
    494         fi; \
    495         dir0="$$dir0"/"$$first"; \
    496       fi; \
    497     fi; \
    498     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
    499   done; \
    500   reldir="$$dir2"
    501 ABI = @ABI@
    502 ACLOCAL = @ACLOCAL@
    503 AMTAR = @AMTAR@
    504 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
    505 AR = @AR@
    506 AS = @AS@
    507 ASMFLAGS = @ASMFLAGS@
    508 AUTOCONF = @AUTOCONF@
    509 AUTOHEADER = @AUTOHEADER@
    510 AUTOMAKE = @AUTOMAKE@
    511 AWK = @AWK@
    512 CALLING_CONVENTIONS_OBJS = @CALLING_CONVENTIONS_OBJS@
    513 CC = @CC@
    514 CCAS = @CCAS@
    515 CC_FOR_BUILD = @CC_FOR_BUILD@
    516 CFLAGS = @CFLAGS@
    517 CPP = @CPP@
    518 CPPFLAGS = @CPPFLAGS@
    519 CPP_FOR_BUILD = @CPP_FOR_BUILD@
    520 CXX = @CXX@
    521 CXXCPP = @CXXCPP@
    522 CXXFLAGS = @CXXFLAGS@
    523 CYGPATH_W = @CYGPATH_W@
    524 DEFN_LONG_LONG_LIMB = @DEFN_LONG_LONG_LIMB@
    525 DEFS = @DEFS@
    526 DLLTOOL = @DLLTOOL@
    527 DSYMUTIL = @DSYMUTIL@
    528 DUMPBIN = @DUMPBIN@
    529 ECHO_C = @ECHO_C@
    530 ECHO_N = @ECHO_N@
    531 ECHO_T = @ECHO_T@
    532 EGREP = @EGREP@
    533 EXEEXT = @EXEEXT@
    534 EXEEXT_FOR_BUILD = @EXEEXT_FOR_BUILD@
    535 FGREP = @FGREP@
    536 GMP_LDFLAGS = @GMP_LDFLAGS@
    537 GMP_LIMB_BITS = @GMP_LIMB_BITS@
    538 GMP_NAIL_BITS = @GMP_NAIL_BITS@
    539 GREP = @GREP@
    540 HAVE_CLOCK_01 = @HAVE_CLOCK_01@
    541 HAVE_CPUTIME_01 = @HAVE_CPUTIME_01@
    542 HAVE_GETRUSAGE_01 = @HAVE_GETRUSAGE_01@
    543 HAVE_GETTIMEOFDAY_01 = @HAVE_GETTIMEOFDAY_01@
    544 HAVE_HOST_CPU_FAMILY_power = @HAVE_HOST_CPU_FAMILY_power@
    545 HAVE_HOST_CPU_FAMILY_powerpc = @HAVE_HOST_CPU_FAMILY_powerpc@
    546 HAVE_SIGACTION_01 = @HAVE_SIGACTION_01@
    547 HAVE_SIGALTSTACK_01 = @HAVE_SIGALTSTACK_01@
    548 HAVE_SIGSTACK_01 = @HAVE_SIGSTACK_01@
    549 HAVE_STACK_T_01 = @HAVE_STACK_T_01@
    550 HAVE_SYS_RESOURCE_H_01 = @HAVE_SYS_RESOURCE_H_01@
    551 INSTALL = @INSTALL@
    552 INSTALL_DATA = @INSTALL_DATA@
    553 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    554 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    555 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    556 LD = @LD@
    557 LDFLAGS = @LDFLAGS@
    558 LEX = @LEX@
    559 LEXLIB = @LEXLIB@
    560 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
    561 LIBCURSES = @LIBCURSES@
    562 LIBGMPXX_LDFLAGS = @LIBGMPXX_LDFLAGS@
    563 LIBGMP_DLL = @LIBGMP_DLL@
    564 LIBGMP_LDFLAGS = @LIBGMP_LDFLAGS@
    565 LIBM = @LIBM@
    566 LIBM_FOR_BUILD = @LIBM_FOR_BUILD@
    567 LIBOBJS = @LIBOBJS@
    568 LIBREADLINE = @LIBREADLINE@
    569 LIBS = @LIBS@
    570 LIBTOOL = @LIBTOOL@
    571 LIPO = @LIPO@
    572 LN_S = @LN_S@
    573 LTLIBOBJS = @LTLIBOBJS@
    574 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
    575 M4 = @M4@
    576 MAINT = @MAINT@
    577 MAKEINFO = @MAKEINFO@
    578 MANIFEST_TOOL = @MANIFEST_TOOL@
    579 MKDIR_P = @MKDIR_P@
    580 NM = @NM@
    581 NMEDIT = @NMEDIT@
    582 OBJDUMP = @OBJDUMP@
    583 OBJEXT = @OBJEXT@
    584 OTOOL = @OTOOL@
    585 OTOOL64 = @OTOOL64@
    586 PACKAGE = @PACKAGE@
    587 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    588 PACKAGE_NAME = @PACKAGE_NAME@
    589 PACKAGE_STRING = @PACKAGE_STRING@
    590 PACKAGE_TARNAME = @PACKAGE_TARNAME@
    591 PACKAGE_URL = @PACKAGE_URL@
    592 PACKAGE_VERSION = @PACKAGE_VERSION@
    593 PATH_SEPARATOR = @PATH_SEPARATOR@
    594 RANLIB = @RANLIB@
    595 SED = @SED@
    596 SET_MAKE = @SET_MAKE@
    597 SHELL = @SHELL@
    598 SPEED_CYCLECOUNTER_OBJ = @SPEED_CYCLECOUNTER_OBJ@
    599 STRIP = @STRIP@
    600 TAL_OBJECT = @TAL_OBJECT@
    601 TUNE_LIBS = @TUNE_LIBS@
    602 TUNE_SQR_OBJ = @TUNE_SQR_OBJ@
    603 U_FOR_BUILD = @U_FOR_BUILD@
    604 VERSION = @VERSION@
    605 WITH_READLINE_01 = @WITH_READLINE_01@
    606 YACC = @YACC@
    607 YFLAGS = @YFLAGS@
    608 abs_builddir = @abs_builddir@
    609 abs_srcdir = @abs_srcdir@
    610 abs_top_builddir = @abs_top_builddir@
    611 abs_top_srcdir = @abs_top_srcdir@
    612 ac_ct_AR = @ac_ct_AR@
    613 ac_ct_CC = @ac_ct_CC@
    614 ac_ct_CXX = @ac_ct_CXX@
    615 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
    616 am__leading_dot = @am__leading_dot@
    617 am__tar = @am__tar@
    618 am__untar = @am__untar@
    619 bindir = @bindir@
    620 build = @build@
    621 build_alias = @build_alias@
    622 build_cpu = @build_cpu@
    623 build_os = @build_os@
    624 build_vendor = @build_vendor@
    625 builddir = @builddir@
    626 datadir = @datadir@
    627 datarootdir = @datarootdir@
    628 docdir = @docdir@
    629 dvidir = @dvidir@
    630 exec_prefix = @exec_prefix@
    631 gmp_srclinks = @gmp_srclinks@
    632 host = @host@
    633 host_alias = @host_alias@
    634 host_cpu = @host_cpu@
    635 host_os = @host_os@
    636 host_vendor = @host_vendor@
    637 htmldir = @htmldir@
    638 includedir = @includedir@
    639 infodir = @infodir@
    640 install_sh = @install_sh@
    641 libdir = @libdir@
    642 libexecdir = @libexecdir@
    643 localedir = @localedir@
    644 localstatedir = @localstatedir@
    645 mandir = @mandir@
    646 mkdir_p = @mkdir_p@
    647 mpn_objects = @mpn_objects@
    648 mpn_objs_in_libgmp = @mpn_objs_in_libgmp@
    649 oldincludedir = @oldincludedir@
    650 pdfdir = @pdfdir@
    651 prefix = @prefix@
    652 program_transform_name = @program_transform_name@
    653 psdir = @psdir@
    654 sbindir = @sbindir@
    655 sharedstatedir = @sharedstatedir@
    656 srcdir = @srcdir@
    657 sysconfdir = @sysconfdir@
    658 target_alias = @target_alias@
    659 top_build_prefix = @top_build_prefix@
    660 top_builddir = @top_builddir@
    661 top_srcdir = @top_srcdir@
    662 SUBDIRS = . devel mpn mpz mpq mpf rand misc cxx
    663 
    664 # COMPILE minus CC.
    665 #
    666 COMPILE_FLAGS = $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    667 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) $(ASMFLAGS)
    668 
    669 
    670 # Flags used for preprocessing (in ansi2knr rules).
    671 #
    672 PREPROCESS_FLAGS = $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    673 	$(CPPFLAGS)
    674 
    675 
    676 # Recent versions of automake (1.5 and up for instance) append automake
    677 # generated suffixes to this $(SUFFIXES) list.  This is essential for us,
    678 # since .c must come after .s, .S and .asm.  If .c is before .s, for
    679 # instance, then in the mpn directory "make" will see add_n.c mentioned in
    680 # an explicit rule (the ansi2knr stuff) and decide it must have add_n.c,
    681 # even if add_n.c doesn't exist but add_n.s does.  See GNU make
    682 # documentation "(make)Implicit Rule Search", part 5c.
    683 #
    684 # On IRIX 6 native make this doesn't work properly though.  Somehow .c
    685 # remains ahead of .s, perhaps because .c.s is a builtin rule.  .asm works
    686 # fine though, and mpn/mips3 uses this.
    687 #
    688 SUFFIXES = .s .S .asm
    689 
    690 # can be overridden during development, eg. "make RM_TMP=: mul_1.lo"
    691 RM_TMP = rm -f
    692 AM_CPPFLAGS = -I$(top_srcdir)
    693 AM_LDFLAGS = -no-install
    694 LDADD = libtests.la $(top_builddir)/libgmp.la
    695 check_LTLIBRARIES = libtests.la
    696 EXTRA_libtests_la_SOURCES = amd64call.asm amd64check.c x86call.asm x86check.c \
    697     arm32call.asm arm32check.c
    698 
    699 libtests_la_SOURCES = tests.h \
    700   memory.c misc.c refmpf.c refmpn.c refmpq.c refmpz.c spinner.c trace.c
    701 
    702 libtests_la_DEPENDENCIES = @CALLING_CONVENTIONS_OBJS@
    703 libtests_la_LIBADD = $(libtests_la_DEPENDENCIES) $(top_builddir)/libgmp.la
    704 TESTS = $(check_PROGRAMS)
    705 all: all-recursive
    706 
    707 .SUFFIXES:
    708 .SUFFIXES: .s .S .asm .c .lo .log .o .obj .test .test$(EXEEXT) .trs
    709 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../mpn/Makeasm.am $(am__configure_deps)
    710 	@for dep in $?; do \
    711 	  case '$(am__configure_deps)' in \
    712 	    *$$dep*) \
    713 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
    714 	        && { if test -f $@; then exit 0; else break; fi; }; \
    715 	      exit 1;; \
    716 	  esac; \
    717 	done; \
    718 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu --ignore-deps tests/Makefile'; \
    719 	$(am__cd) $(top_srcdir) && \
    720 	  $(AUTOMAKE) --gnu --ignore-deps tests/Makefile
    721 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    722 	@case '$?' in \
    723 	  *config.status*) \
    724 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
    725 	  *) \
    726 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
    727 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
    728 	esac;
    729 $(srcdir)/../mpn/Makeasm.am $(am__empty):
    730 
    731 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    732 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    733 
    734 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
    735 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    736 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
    737 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    738 $(am__aclocal_m4_deps):
    739 
    740 clean-checkLTLIBRARIES:
    741 	-test -z "$(check_LTLIBRARIES)" || rm -f $(check_LTLIBRARIES)
    742 	@list='$(check_LTLIBRARIES)'; \
    743 	locs=`for p in $$list; do echo $$p; done | \
    744 	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
    745 	      sort -u`; \
    746 	test -z "$$locs" || { \
    747 	  echo rm -f $${locs}; \
    748 	  rm -f $${locs}; \
    749 	}
    750 
    751 libtests.la: $(libtests_la_OBJECTS) $(libtests_la_DEPENDENCIES) $(EXTRA_libtests_la_DEPENDENCIES) 
    752 	$(AM_V_CCLD)$(LINK)  $(libtests_la_OBJECTS) $(libtests_la_LIBADD) $(LIBS)
    753 
    754 clean-checkPROGRAMS:
    755 	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
    756 	echo " rm -f" $$list; \
    757 	rm -f $$list || exit $$?; \
    758 	test -n "$(EXEEXT)" || exit 0; \
    759 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
    760 	echo " rm -f" $$list; \
    761 	rm -f $$list
    762 
    763 t-bswap$(EXEEXT): $(t_bswap_OBJECTS) $(t_bswap_DEPENDENCIES) $(EXTRA_t_bswap_DEPENDENCIES) 
    764 	@rm -f t-bswap$(EXEEXT)
    765 	$(AM_V_CCLD)$(LINK) $(t_bswap_OBJECTS) $(t_bswap_LDADD) $(LIBS)
    766 
    767 t-constants$(EXEEXT): $(t_constants_OBJECTS) $(t_constants_DEPENDENCIES) $(EXTRA_t_constants_DEPENDENCIES) 
    768 	@rm -f t-constants$(EXEEXT)
    769 	$(AM_V_CCLD)$(LINK) $(t_constants_OBJECTS) $(t_constants_LDADD) $(LIBS)
    770 
    771 t-count_zeros$(EXEEXT): $(t_count_zeros_OBJECTS) $(t_count_zeros_DEPENDENCIES) $(EXTRA_t_count_zeros_DEPENDENCIES) 
    772 	@rm -f t-count_zeros$(EXEEXT)
    773 	$(AM_V_CCLD)$(LINK) $(t_count_zeros_OBJECTS) $(t_count_zeros_LDADD) $(LIBS)
    774 
    775 t-hightomask$(EXEEXT): $(t_hightomask_OBJECTS) $(t_hightomask_DEPENDENCIES) $(EXTRA_t_hightomask_DEPENDENCIES) 
    776 	@rm -f t-hightomask$(EXEEXT)
    777 	$(AM_V_CCLD)$(LINK) $(t_hightomask_OBJECTS) $(t_hightomask_LDADD) $(LIBS)
    778 
    779 t-modlinv$(EXEEXT): $(t_modlinv_OBJECTS) $(t_modlinv_DEPENDENCIES) $(EXTRA_t_modlinv_DEPENDENCIES) 
    780 	@rm -f t-modlinv$(EXEEXT)
    781 	$(AM_V_CCLD)$(LINK) $(t_modlinv_OBJECTS) $(t_modlinv_LDADD) $(LIBS)
    782 
    783 t-parity$(EXEEXT): $(t_parity_OBJECTS) $(t_parity_DEPENDENCIES) $(EXTRA_t_parity_DEPENDENCIES) 
    784 	@rm -f t-parity$(EXEEXT)
    785 	$(AM_V_CCLD)$(LINK) $(t_parity_OBJECTS) $(t_parity_LDADD) $(LIBS)
    786 
    787 t-popc$(EXEEXT): $(t_popc_OBJECTS) $(t_popc_DEPENDENCIES) $(EXTRA_t_popc_DEPENDENCIES) 
    788 	@rm -f t-popc$(EXEEXT)
    789 	$(AM_V_CCLD)$(LINK) $(t_popc_OBJECTS) $(t_popc_LDADD) $(LIBS)
    790 
    791 t-sub$(EXEEXT): $(t_sub_OBJECTS) $(t_sub_DEPENDENCIES) $(EXTRA_t_sub_DEPENDENCIES) 
    792 	@rm -f t-sub$(EXEEXT)
    793 	$(AM_V_CCLD)$(LINK) $(t_sub_OBJECTS) $(t_sub_LDADD) $(LIBS)
    794 
    795 mostlyclean-compile:
    796 	-rm -f *.$(OBJEXT)
    797 
    798 distclean-compile:
    799 	-rm -f *.tab.c
    800 
    801 .c.o:
    802 	$(AM_V_CC)$(COMPILE) -c -o $@ $<
    803 
    804 .c.obj:
    805 	$(AM_V_CC)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
    806 
    807 .c.lo:
    808 	$(AM_V_CC)$(LTCOMPILE) -c -o $@ $<
    809 
    810 mostlyclean-libtool:
    811 	-rm -f *.lo
    812 
    813 clean-libtool:
    814 	-rm -rf .libs _libs
    815 
    816 # This directory's subdirectories are mostly independent; you can cd
    817 # into them and run 'make' without going through this Makefile.
    818 # To change the values of 'make' variables: instead of editing Makefiles,
    819 # (1) if the variable is set in 'config.status', edit 'config.status'
    820 #     (which will cause the Makefiles to be regenerated when you run 'make');
    821 # (2) otherwise, pass the desired values on the 'make' command line.
    822 $(am__recursive_targets):
    823 	@fail=; \
    824 	if $(am__make_keepgoing); then \
    825 	  failcom='fail=yes'; \
    826 	else \
    827 	  failcom='exit 1'; \
    828 	fi; \
    829 	dot_seen=no; \
    830 	target=`echo $@ | sed s/-recursive//`; \
    831 	case "$@" in \
    832 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
    833 	  *) list='$(SUBDIRS)' ;; \
    834 	esac; \
    835 	for subdir in $$list; do \
    836 	  echo "Making $$target in $$subdir"; \
    837 	  if test "$$subdir" = "."; then \
    838 	    dot_seen=yes; \
    839 	    local_target="$$target-am"; \
    840 	  else \
    841 	    local_target="$$target"; \
    842 	  fi; \
    843 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    844 	  || eval $$failcom; \
    845 	done; \
    846 	if test "$$dot_seen" = "no"; then \
    847 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
    848 	fi; test -z "$$fail"
    849 
    850 ID: $(am__tagged_files)
    851 	$(am__define_uniq_tagged_files); mkid -fID $$unique
    852 tags: tags-recursive
    853 TAGS: tags
    854 
    855 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    856 	set x; \
    857 	here=`pwd`; \
    858 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
    859 	  include_option=--etags-include; \
    860 	  empty_fix=.; \
    861 	else \
    862 	  include_option=--include; \
    863 	  empty_fix=; \
    864 	fi; \
    865 	list='$(SUBDIRS)'; for subdir in $$list; do \
    866 	  if test "$$subdir" = .; then :; else \
    867 	    test ! -f $$subdir/TAGS || \
    868 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
    869 	  fi; \
    870 	done; \
    871 	$(am__define_uniq_tagged_files); \
    872 	shift; \
    873 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
    874 	  test -n "$$unique" || unique=$$empty_fix; \
    875 	  if test $$# -gt 0; then \
    876 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    877 	      "$$@" $$unique; \
    878 	  else \
    879 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    880 	      $$unique; \
    881 	  fi; \
    882 	fi
    883 ctags: ctags-recursive
    884 
    885 CTAGS: ctags
    886 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    887 	$(am__define_uniq_tagged_files); \
    888 	test -z "$(CTAGS_ARGS)$$unique" \
    889 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    890 	     $$unique
    891 
    892 GTAGS:
    893 	here=`$(am__cd) $(top_builddir) && pwd` \
    894 	  && $(am__cd) $(top_srcdir) \
    895 	  && gtags -i $(GTAGS_ARGS) "$$here"
    896 cscopelist: cscopelist-recursive
    897 
    898 cscopelist-am: $(am__tagged_files)
    899 	list='$(am__tagged_files)'; \
    900 	case "$(srcdir)" in \
    901 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
    902 	  *) sdir=$(subdir)/$(srcdir) ;; \
    903 	esac; \
    904 	for i in $$list; do \
    905 	  if test -f "$$i"; then \
    906 	    echo "$(subdir)/$$i"; \
    907 	  else \
    908 	    echo "$$sdir/$$i"; \
    909 	  fi; \
    910 	done >> $(top_builddir)/cscope.files
    911 
    912 distclean-tags:
    913 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    914 
    915 # Recover from deleted '.trs' file; this should ensure that
    916 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
    917 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
    918 # to avoid problems with "make -n".
    919 .log.trs:
    920 	rm -f $< $@
    921 	$(MAKE) $(AM_MAKEFLAGS) $<
    922 
    923 # Leading 'am--fnord' is there to ensure the list of targets does not
    924 # expand to empty, as could happen e.g. with make check TESTS=''.
    925 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
    926 am--force-recheck:
    927 	@:
    928 
    929 $(TEST_SUITE_LOG): $(TEST_LOGS)
    930 	@$(am__set_TESTS_bases); \
    931 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
    932 	redo_bases=`for i in $$bases; do \
    933 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
    934 	            done`; \
    935 	if test -n "$$redo_bases"; then \
    936 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
    937 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
    938 	  if $(am__make_dryrun); then :; else \
    939 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
    940 	  fi; \
    941 	fi; \
    942 	if test -n "$$am__remaking_logs"; then \
    943 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
    944 	       "recursion detected" >&2; \
    945 	elif test -n "$$redo_logs"; then \
    946 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
    947 	fi; \
    948 	if $(am__make_dryrun); then :; else \
    949 	  st=0;  \
    950 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
    951 	  for i in $$redo_bases; do \
    952 	    test -f $$i.trs && test -r $$i.trs \
    953 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
    954 	    test -f $$i.log && test -r $$i.log \
    955 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
    956 	  done; \
    957 	  test $$st -eq 0 || exit 1; \
    958 	fi
    959 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
    960 	ws='[ 	]'; \
    961 	results=`for b in $$bases; do echo $$b.trs; done`; \
    962 	test -n "$$results" || results=/dev/null; \
    963 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
    964 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
    965 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
    966 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
    967 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
    968 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
    969 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
    970 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
    971 	  success=true; \
    972 	else \
    973 	  success=false; \
    974 	fi; \
    975 	br='==================='; br=$$br$$br$$br$$br; \
    976 	result_count () \
    977 	{ \
    978 	    if test x"$$1" = x"--maybe-color"; then \
    979 	      maybe_colorize=yes; \
    980 	    elif test x"$$1" = x"--no-color"; then \
    981 	      maybe_colorize=no; \
    982 	    else \
    983 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
    984 	    fi; \
    985 	    shift; \
    986 	    desc=$$1 count=$$2; \
    987 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
    988 	      color_start=$$3 color_end=$$std; \
    989 	    else \
    990 	      color_start= color_end=; \
    991 	    fi; \
    992 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
    993 	}; \
    994 	create_testsuite_report () \
    995 	{ \
    996 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
    997 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
    998 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
    999 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
   1000 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
   1001 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
   1002 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
   1003 	}; \
   1004 	{								\
   1005 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
   1006 	    $(am__rst_title);						\
   1007 	  create_testsuite_report --no-color;				\
   1008 	  echo;								\
   1009 	  echo ".. contents:: :depth: 2";				\
   1010 	  echo;								\
   1011 	  for b in $$bases; do echo $$b; done				\
   1012 	    | $(am__create_global_log);					\
   1013 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
   1014 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
   1015 	if $$success; then						\
   1016 	  col="$$grn";							\
   1017 	 else								\
   1018 	  col="$$red";							\
   1019 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
   1020 	fi;								\
   1021 	echo "$${col}$$br$${std}"; 					\
   1022 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
   1023 	echo "$${col}$$br$${std}"; 					\
   1024 	create_testsuite_report --maybe-color;				\
   1025 	echo "$$col$$br$$std";						\
   1026 	if $$success; then :; else					\
   1027 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
   1028 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
   1029 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
   1030 	  fi;								\
   1031 	  echo "$$col$$br$$std";					\
   1032 	fi;								\
   1033 	$$success || exit 1
   1034 
   1035 check-TESTS:
   1036 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
   1037 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
   1038 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   1039 	@set +e; $(am__set_TESTS_bases); \
   1040 	log_list=`for i in $$bases; do echo $$i.log; done`; \
   1041 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
   1042 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
   1043 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
   1044 	exit $$?;
   1045 recheck: all $(check_LTLIBRARIES) $(check_PROGRAMS)
   1046 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   1047 	@set +e; $(am__set_TESTS_bases); \
   1048 	bases=`for i in $$bases; do echo $$i; done \
   1049 	         | $(am__list_recheck_tests)` || exit 1; \
   1050 	log_list=`for i in $$bases; do echo $$i.log; done`; \
   1051 	log_list=`echo $$log_list`; \
   1052 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
   1053 	        am__force_recheck=am--force-recheck \
   1054 	        TEST_LOGS="$$log_list"; \
   1055 	exit $$?
   1056 t-bswap.log: t-bswap$(EXEEXT)
   1057 	@p='t-bswap$(EXEEXT)'; \
   1058 	b='t-bswap'; \
   1059 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1060 	--log-file $$b.log --trs-file $$b.trs \
   1061 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1062 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1063 t-constants.log: t-constants$(EXEEXT)
   1064 	@p='t-constants$(EXEEXT)'; \
   1065 	b='t-constants'; \
   1066 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1067 	--log-file $$b.log --trs-file $$b.trs \
   1068 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1069 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1070 t-count_zeros.log: t-count_zeros$(EXEEXT)
   1071 	@p='t-count_zeros$(EXEEXT)'; \
   1072 	b='t-count_zeros'; \
   1073 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1074 	--log-file $$b.log --trs-file $$b.trs \
   1075 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1076 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1077 t-hightomask.log: t-hightomask$(EXEEXT)
   1078 	@p='t-hightomask$(EXEEXT)'; \
   1079 	b='t-hightomask'; \
   1080 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1081 	--log-file $$b.log --trs-file $$b.trs \
   1082 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1083 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1084 t-modlinv.log: t-modlinv$(EXEEXT)
   1085 	@p='t-modlinv$(EXEEXT)'; \
   1086 	b='t-modlinv'; \
   1087 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1088 	--log-file $$b.log --trs-file $$b.trs \
   1089 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1090 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1091 t-popc.log: t-popc$(EXEEXT)
   1092 	@p='t-popc$(EXEEXT)'; \
   1093 	b='t-popc'; \
   1094 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1095 	--log-file $$b.log --trs-file $$b.trs \
   1096 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1097 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1098 t-parity.log: t-parity$(EXEEXT)
   1099 	@p='t-parity$(EXEEXT)'; \
   1100 	b='t-parity'; \
   1101 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1102 	--log-file $$b.log --trs-file $$b.trs \
   1103 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1104 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1105 t-sub.log: t-sub$(EXEEXT)
   1106 	@p='t-sub$(EXEEXT)'; \
   1107 	b='t-sub'; \
   1108 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
   1109 	--log-file $$b.log --trs-file $$b.trs \
   1110 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
   1111 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1112 .test.log:
   1113 	@p='$<'; \
   1114 	$(am__set_b); \
   1115 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
   1116 	--log-file $$b.log --trs-file $$b.trs \
   1117 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
   1118 	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1119 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
   1120 @am__EXEEXT_TRUE@	@p='$<'; \
   1121 @am__EXEEXT_TRUE@	$(am__set_b); \
   1122 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
   1123 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
   1124 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
   1125 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
   1126 
   1127 distdir: $(DISTFILES)
   1128 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   1129 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   1130 	list='$(DISTFILES)'; \
   1131 	  dist_files=`for file in $$list; do echo $$file; done | \
   1132 	  sed -e "s|^$$srcdirstrip/||;t" \
   1133 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
   1134 	case $$dist_files in \
   1135 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
   1136 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
   1137 			   sort -u` ;; \
   1138 	esac; \
   1139 	for file in $$dist_files; do \
   1140 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
   1141 	  if test -d $$d/$$file; then \
   1142 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
   1143 	    if test -d "$(distdir)/$$file"; then \
   1144 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   1145 	    fi; \
   1146 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
   1147 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
   1148 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   1149 	    fi; \
   1150 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
   1151 	  else \
   1152 	    test -f "$(distdir)/$$file" \
   1153 	    || cp -p $$d/$$file "$(distdir)/$$file" \
   1154 	    || exit 1; \
   1155 	  fi; \
   1156 	done
   1157 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
   1158 	  if test "$$subdir" = .; then :; else \
   1159 	    $(am__make_dryrun) \
   1160 	      || test -d "$(distdir)/$$subdir" \
   1161 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
   1162 	      || exit 1; \
   1163 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
   1164 	    $(am__relativize); \
   1165 	    new_distdir=$$reldir; \
   1166 	    dir1=$$subdir; dir2="$(top_distdir)"; \
   1167 	    $(am__relativize); \
   1168 	    new_top_distdir=$$reldir; \
   1169 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
   1170 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
   1171 	    ($(am__cd) $$subdir && \
   1172 	      $(MAKE) $(AM_MAKEFLAGS) \
   1173 	        top_distdir="$$new_top_distdir" \
   1174 	        distdir="$$new_distdir" \
   1175 		am__remove_distdir=: \
   1176 		am__skip_length_check=: \
   1177 		am__skip_mode_fix=: \
   1178 	        distdir) \
   1179 	      || exit 1; \
   1180 	  fi; \
   1181 	done
   1182 check-am: all-am
   1183 	$(MAKE) $(AM_MAKEFLAGS) $(check_LTLIBRARIES) $(check_PROGRAMS)
   1184 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
   1185 check: check-recursive
   1186 all-am: Makefile
   1187 installdirs: installdirs-recursive
   1188 installdirs-am:
   1189 install: install-recursive
   1190 install-exec: install-exec-recursive
   1191 install-data: install-data-recursive
   1192 uninstall: uninstall-recursive
   1193 
   1194 install-am: all-am
   1195 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
   1196 
   1197 installcheck: installcheck-recursive
   1198 install-strip:
   1199 	if test -z '$(STRIP)'; then \
   1200 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1201 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1202 	      install; \
   1203 	else \
   1204 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1205 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1206 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
   1207 	fi
   1208 mostlyclean-generic:
   1209 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
   1210 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
   1211 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   1212 
   1213 clean-generic:
   1214 
   1215 distclean-generic:
   1216 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
   1217 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
   1218 
   1219 maintainer-clean-generic:
   1220 	@echo "This command is intended for maintainers to use"
   1221 	@echo "it deletes files that may require special tools to rebuild."
   1222 clean: clean-recursive
   1223 
   1224 clean-am: clean-checkLTLIBRARIES clean-checkPROGRAMS clean-generic \
   1225 	clean-libtool mostlyclean-am
   1226 
   1227 distclean: distclean-recursive
   1228 	-rm -f Makefile
   1229 distclean-am: clean-am distclean-compile distclean-generic \
   1230 	distclean-tags
   1231 
   1232 dvi: dvi-recursive
   1233 
   1234 dvi-am:
   1235 
   1236 html: html-recursive
   1237 
   1238 html-am:
   1239 
   1240 info: info-recursive
   1241 
   1242 info-am:
   1243 
   1244 install-data-am:
   1245 
   1246 install-dvi: install-dvi-recursive
   1247 
   1248 install-dvi-am:
   1249 
   1250 install-exec-am:
   1251 
   1252 install-html: install-html-recursive
   1253 
   1254 install-html-am:
   1255 
   1256 install-info: install-info-recursive
   1257 
   1258 install-info-am:
   1259 
   1260 install-man:
   1261 
   1262 install-pdf: install-pdf-recursive
   1263 
   1264 install-pdf-am:
   1265 
   1266 install-ps: install-ps-recursive
   1267 
   1268 install-ps-am:
   1269 
   1270 installcheck-am:
   1271 
   1272 maintainer-clean: maintainer-clean-recursive
   1273 	-rm -f Makefile
   1274 maintainer-clean-am: distclean-am maintainer-clean-generic
   1275 
   1276 mostlyclean: mostlyclean-recursive
   1277 
   1278 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
   1279 	mostlyclean-libtool
   1280 
   1281 pdf: pdf-recursive
   1282 
   1283 pdf-am:
   1284 
   1285 ps: ps-recursive
   1286 
   1287 ps-am:
   1288 
   1289 uninstall-am:
   1290 
   1291 .MAKE: $(am__recursive_targets) check-am install-am install-strip
   1292 
   1293 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
   1294 	check-TESTS check-am clean clean-checkLTLIBRARIES \
   1295 	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
   1296 	ctags ctags-am distclean distclean-compile distclean-generic \
   1297 	distclean-libtool distclean-tags distdir dvi dvi-am html \
   1298 	html-am info info-am install install-am install-data \
   1299 	install-data-am install-dvi install-dvi-am install-exec \
   1300 	install-exec-am install-html install-html-am install-info \
   1301 	install-info-am install-man install-pdf install-pdf-am \
   1302 	install-ps install-ps-am install-strip installcheck \
   1303 	installcheck-am installdirs installdirs-am maintainer-clean \
   1304 	maintainer-clean-generic mostlyclean mostlyclean-compile \
   1305 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
   1306 	recheck tags tags-am uninstall uninstall-am
   1307 
   1308 .PRECIOUS: Makefile
   1309 
   1310 
   1311 # .s assembler, no preprocessing.
   1312 #
   1313 .s.o:
   1314 	$(CCAS) $(COMPILE_FLAGS) `test -f '$<' || echo '$(srcdir)/'`$<
   1315 .s.obj:
   1316 	$(CCAS) $(COMPILE_FLAGS) `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
   1317 .s.lo:
   1318 	$(LIBTOOL) --mode=compile --tag=CC $(CCAS) $(COMPILE_FLAGS) `test -f '$<' || echo '$(srcdir)/'`$<
   1319 
   1320 # .S assembler, preprocessed with cpp.
   1321 #
   1322 # It's necessary to run $(CPP) separately, since it seems not all compilers
   1323 # recognise .S files, in particular "cc" on HP-UX 10 and 11 doesn't (and
   1324 # will silently do nothing if given a .S).
   1325 #
   1326 # For .lo we need a helper script, as described below for .asm.lo.
   1327 #
   1328 .S.o:
   1329 	$(CPP) $(PREPROCESS_FLAGS) `test -f '$<' || echo '$(srcdir)/'`$< | grep -v '^#' >tmp-$*.s
   1330 	$(CCAS) $(COMPILE_FLAGS) tmp-$*.s -o $@
   1331 	$(RM_TMP) tmp-$*.s
   1332 .S.obj:
   1333 	$(CPP) $(PREPROCESS_FLAGS) `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi` | grep -v '^#' >tmp-$*.s
   1334 	$(CCAS) $(COMPILE_FLAGS) tmp-$*.s -o $@
   1335 	$(RM_TMP) tmp-$*.s
   1336 .S.lo:
   1337 	$(LIBTOOL) --mode=compile --tag=CC $(top_srcdir)/mpn/cpp-ccas --cpp="$(CPP) $(PREPROCESS_FLAGS)" $(CCAS) $(COMPILE_FLAGS) `test -f '$<' || echo '$(srcdir)/'`$<
   1338 
   1339 # .asm assembler, preprocessed with m4.
   1340 #
   1341 # .o and .obj are non-PIC and just need m4 followed by a compile.
   1342 #
   1343 # .lo is a bit tricky.  Libtool (as of version 1.5) has foo.lo as a little
   1344 # text file, and .libs/foo.o and foo.o as the PIC and non-PIC objects,
   1345 # respectively.  It'd be asking for lots of trouble to try to create foo.lo
   1346 # ourselves, so instead arrange to invoke libtool like a --mode=compile, but
   1347 # with a special m4-ccas script which first m4 preprocesses, then compiles.
   1348 # --tag=CC is necessary since foo.asm is otherwise unknown to libtool.
   1349 #
   1350 # Libtool adds -DPIC when building a shared object and the .asm files look
   1351 # for that.  But it should be noted that the other PIC flags are on occasion
   1352 # important too, in particular FreeBSD 2.2.8 gas 1.92.3 requires -k before
   1353 # it accepts PIC constructs like @GOT, and gcc adds that flag only under
   1354 # -fPIC.  (Later versions of gas are happy to accept PIC stuff any time.)
   1355 #
   1356 .asm.o:
   1357 	$(M4) -DOPERATION_$* `test -f '$<' || echo '$(srcdir)/'`$< >tmp-$*.s
   1358 	$(CCAS) $(COMPILE_FLAGS) tmp-$*.s -o $@
   1359 	$(RM_TMP) tmp-$*.s
   1360 .asm.obj:
   1361 	$(M4) -DOPERATION_$* `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi` >tmp-$*.s
   1362 	$(CCAS) $(COMPILE_FLAGS) tmp-$*.s -o $@
   1363 	$(RM_TMP) tmp-$*.s
   1364 .asm.lo:
   1365 	$(LIBTOOL) --mode=compile --tag=CC $(top_srcdir)/mpn/m4-ccas --m4="$(M4)" $(CCAS) $(COMPILE_FLAGS) `test -f '$<' || echo '$(srcdir)/'`$<
   1366 
   1367 # Tell versions [3.59,3.63) of GNU make to not export all variables.
   1368 # Otherwise a system limit (for SysV at least) may be exceeded.
   1369 .NOEXPORT:
   1370